### File

`packages/ecl/components/ecl-breadcrumb/ecl-breadcrumb-segment.component.ts`

### Description

Displays a single breadcrumb segment with optional navigation or ellipsis.

### Extends

`ECLBaseDirective`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `li[eclBreadcrumbSegment]`
imports | `NgTemplateOutlet` `RouterLink` `RouterLinkWithHref` `EUI_ECL_ICON` `EUI_ECL_LINK`
templateUrl | `./ecl-breadcrumb-segment.component.html`

### Index

###### Properties
el isHidden tabIndex
###### Methods
onSegmentClick getCssClasses
###### Inputs
href isCurrentPage isEllipsis queryParams queryParamsHandling routerLink class e2eAttr tabindex
###### Outputs
segmentClick
###### HostBindings
attr.aria-current attr.aria-hidden attr.tabindex class
###### Accessors
ariaHidden ariaCurrent cssClasses

### Constructor

`constructor()`

### Inputs

href
Default value : `''`
Href used for standard navigation.

isCurrentPage
Default value : `false, { transform: booleanAttribute }`
Highlights the segment as the current page.

isEllipsis
Default value : `false, { transform: booleanAttribute }`
Displays the segment as an ellipsis instead of a link.

queryParams
Type : `Params | null`
Default value : `null`
Query parameters used with routerLink.

queryParamsHandling
Type : `QueryParamsHandling`
Default value : `null`
Strategy for handling existing query parameters during navigation.

routerLink
Type : `string | any[] | null`
Default value : `null`
Router link for navigation.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

segmentClick
Type : `EclBreadcrumbSegmentClickEvent`
Emits when the segment is clicked.

### HostBindings

attr.aria-current
Type : `string`

attr.aria-hidden
Type : `any`

attr.tabindex
Type : `string`
Default value : `'-1'`
Defines the tabindex attribute for accessibility.

class
Type : `string`
Computes the CSS classes applied to the segment.

### Methods

onSegmentClick
`onSegmentClick(evt: MouseEvent)`
Handles the click event on the segment. Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

el
Type : `unknown`
Default value : `inject(ElementRef)`

isHidden
Type : `unknown`
Default value : `signal(false)`
Hides the segment visually and from assistive technologies.

tabIndex
Type : `string`
Default value : `'-1'`
Decorators : `@HostBinding('attr.tabindex')`
Defines the tabindex attribute for accessibility.

### Accessors

ariaHidden
get `ariaHidden()`

ariaCurrent
get `ariaCurrent()`

cssClasses
get `cssClasses()`
Computes the CSS classes applied to the segment. Returns : `string`

# results matching ""

# No results matching ""